// samp_vw.h : interface of the CSamp_actView class
//
/////////////////////////////////////////////////////////////////////////////

class CSamp_actView : public CView
{
protected: // create from serialization only
	CSamp_actView();
	DECLARE_DYNCREATE(CSamp_actView)

// Attributes
public:
	CSamp_actDoc* GetDocument();

// Operations
public:

// Implementation
public:
	virtual ~CSamp_actView();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CSamp_actView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	// WINDACTS: HERE WE ADD THE DECLARATIONS OF OUR WINDOW ACTS AND ACTLIST
	afx_msg LRESULT OnSetValues(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnGetValues(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnActList(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()

private:
	long	m_lValue1;		// some values that this program displays
	CString	m_sValue2;

	// WINDACTS - declare space for our 2 functions
	static UINT	m_Acts[2];
};

#ifndef _DEBUG  // debug version in samp_vw.cpp
inline CSamp_actDoc* CSamp_actView::GetDocument()
   { return (CSamp_actDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
